Skip to main content
PATCH
/
v1
/
locations
/
{location_id}
Update a location
curl --request PATCH \
  --url https://api.chataigne.ai/v1/locations/{location_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "contact_information": "<string>",
  "default_language": "<string>",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "postal_code": "<string>",
    "city": "<string>",
    "country": "<string>",
    "latitude": 123,
    "longitude": 123
  }
}
'
{
  "id": "loc_023d6847de544fdb9a5510db",
  "object": "location",
  "organization_id": "<string>",
  "name": "Pokawa Châtelet",
  "currency": "EUR",
  "country": "FR",
  "timezone": "Europe/Paris",
  "default_language": "fr",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "postal_code": "<string>",
    "city": "<string>",
    "country": "<string>",
    "latitude": 123,
    "longitude": 123
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Location/organization API key.

Path Parameters

location_id
string
required

Body

application/json
name
string
contact_information
string
default_language
string
address
object

Partial address; omitted fields are preserved, explicit null clears.

Response

The updated location.

id
string
Example:

"loc_023d6847de544fdb9a5510db"

object
enum<string>
Available options:
location
organization_id
string | null
name
string
Example:

"Pokawa Châtelet"

currency
string
Example:

"EUR"

country
string
Example:

"FR"

timezone
string
Example:

"Europe/Paris"

default_language
string
Example:

"fr"

address
object | null
created_at
string<date-time>
updated_at
string<date-time>